Name:          jackson-dataformat-smile
Version:       2.2.2
Release:       2%{?dist}
Summary:       Support for reading and writing Smile encoded data
License:       ASL 2.0
URL:           http://wiki.fasterxml.com/JacksonForSmile
Source0:       https://github.com/FasterXML/jackson-dataformat-smile/archive/%{name}-%{version}.tar.gz
# jackson-dataformat-smile package don't include the license file
# https://github.com/FasterXML/jackson-dataformat-smile/issues/12
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel
BuildRequires: mvn(com.fasterxml:oss-parent)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
# test deps
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: replacer
BuildRequires: maven-plugin-bundle
# bundle-plugin Requires
#BuildRequires: mvn(org.sonatype.aether:aether)

BuildArch:     noarch

%description
Support for reading and writing Smile ("binary JSON")
encoded data using Jackson abstractions (streaming API,
data binding, tree model).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt README.md release-notes/*

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 gil cattaneo <puntogil@libero.it> 2.2.2-1
- initial rpm